ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

BreakArray

Description

Break Arrays in the IO monad

Entries in the array are Word sized Conceptually, a zero-indexed IOArray of Bools, initially False. They're represented as Words with 0==False, 1==True. They're used to determine whether GHCI breakpoints are on or off.

(c) The University of Glasgow 2007

# Documentation

data BreakArray

Constructors

BA (MutableByteArray# RealWorld) |

newBreakArray :: DynFlags -> Int -> IO BreakArray

getBreak :: DynFlags -> BreakArray -> Int -> IO (Maybe Word)

setBreakOn :: DynFlags -> BreakArray -> Int -> IO Bool

setBreakOff :: DynFlags -> BreakArray -> Int -> IO Bool

showBreakArray :: DynFlags -> BreakArray -> IO ()